#!/bin/sh
VERSION=current
#PNAME=puretls-0.9b5-SNAP-`date "+%Y%m%d"`
PNAME=puretls-0.9b5
DISTDIR=/dist/ship/${PNAME}
WDIR=${DISTDIR}/${PNAME}
SDIR=${WDIR}/src
rm -rf ${WDIR}
mkdir -p ${WDIR}
mkdir -p ${SDIR}
(cd /users/ekr/java/puretls/src; tar cf - COM/claymoresystems/cert COM/claymoresystems/crypto COM/claymoresystems/provider COM/claymoresystems/ptls COM/claymoresystems/sslg COM/claymoresystems/util | (cd ${SDIR}; tar xBpf -))
(mv ${SDIR}/COM/claymoresystems/ptls/dist/* ${WDIR}; rm ${SDIR}/COM/claymoresystems/csj/dist)
(cd ${WDIR}; sh clean-dist.sh)
(cd ${WDIR}; mv *.sh *.bat Makefile src)
(cd ${WDIR}; rm -rf Makefile.ptls build.properties )
(cd ${WDIR}; rm -rf src/COM/claymoresystems/ptls/test/demoCA/newcerts/* src/COM/claymoresystems/ptls/test.bak src/COM/claymoresystems/ptls/tmp )
(cd ${WDIR}; rm -rf src/COM/claymoresystems/ptls/SocketBasedSocketImpl.java)
(cd ${DISTDIR}; tar cf - ${PNAME} | gzip > ${PNAME}.tar.gz)
(cd ${DISTDIR}; rm ${PNAME}.zip; zip -rl  ${PNAME}.zip ${PNAME})




